#include "CompInfo.au3"

TCPStartup()

;Options
$sIP = @IPAddress1
$nPort = 23
$user = "Username"
$pass = "pass"

Dim $COMANDTYPES[3]
$COMANDTYPES[0] = 2
$COMANDTYPES[1] = "Hardware"
$COMANDTYPES[2] = "Software"

Dim $SOFTWARE_TYPES[17]
$SOFTWARE_TYPES[0] = 16
$SOFTWARE_TYPES[1] = "Startup"
$SOFTWARE_TYPES[2] = "Software"
$SOFTWARE_TYPES[3] = "Users"
$SOFTWARE_TYPES[4] = "Groups"
$SOFTWARE_TYPES[5] = "Services"
$SOFTWARE_TYPES[6] = "Threads"
$SOFTWARE_TYPES[7] = "Processes"
$SOFTWARE_TYPES[8] = "OSs"
$SOFTWARE_TYPES[9] = "Shares"
$SOFTWARE_TYPES[10] = "EventLogs"
$SOFTWARE_TYPES[11] = "BootConfig"
$SOFTWARE_TYPES[12] = "Extensions"
$SOFTWARE_TYPES[13] = "Desktops"
$SOFTWARE_TYPES[14] = "DependentServices"
$SOFTWARE_TYPES[15] = "PrintJobs"
$SOFTWARE_TYPES[16] = "LoggedOnUsers"

Dim $HARDWARE_TYPES[16]
$HARDWARE_TYPES[0] = 15
$HARDWARE_TYPES[1] = "Drives"
$HARDWARE_TYPES[2] = "Printers"
$HARDWARE_TYPES[3] = "Processors"
$HARDWARE_TYPES[4] = "BIOS"
$HARDWARE_TYPES[5] = "SoundCards"
$HARDWARE_TYPES[6] = "VideoCards"
$HARDWARE_TYPES[7] = "Keyboard"
$HARDWARE_TYPES[8] = "Mouse"
$HARDWARE_TYPES[9] = "SystemProduct"
$HARDWARE_TYPES[10] = "NetworkCards"
$HARDWARE_TYPES[11] = "System"
$HARDWARE_TYPES[12] = "Monitors"
$HARDWARE_TYPES[13] = "Motherboard"
$HARDWARE_TYPES[14] = "Battery"
$HARDWARE_TYPES[15] = "Memory"

While 1
	$connection_socket = _StartServer($sIP, $nPort)
	$state = _GetLogin($connection_socket)
	If $state = 1 Then
		TCPSend($connection_socket, "===============================================================================" & @CRLF)
		TCPSend($connection_socket, @TAB & @TAB & @TAB & @TAB & "Logged On Successfully" & @CRLF)
		TCPSend($connection_socket, "===============================================================================" & @CRLF & @CRLF)
		_Commands($connection_socket)
		_CommandLoop($connection_socket)
	Else
		TCPCloseSocket($connection_socket)
	EndIf
WEnd
Func _StartServer($sIP, $nPort)
	Local $AcceptingSocket = -1
	;Create Listening Socket
	$MainSocket = TCPListen($sIP, $nPort)

	;Wait for a connection
	While 1
		$AcceptingSocket = TCPAccept($MainSocket)
		;We have a connection, so exit the waiting loop
		If $AcceptingSocket <> -1 Then ExitLoop
	WEnd

	;Send a welcome message
	TCPSend($AcceptingSocket, "===============================================================================" & @CRLF)
	TCPSend($AcceptingSocket, @TAB & @TAB & "Welcome To The Computer Information Telnet Server" & @CRLF)
	TCPSend($AcceptingSocket, "===============================================================================" & @CRLF & @CRLF)
	Return $AcceptingSocket
EndFunc   ;==>_StartServer

Func _GetLogin($Socket)
	While 1
		TCPSend($Socket, "Username:")
		$sUsername = _TelnetRecv($Socket)
		If $sUsername == $user Then
			For $i = 1 To 3
				TCPSend($Socket, "Passoword:")
				$sPassword = _TelnetRecv($Socket)
				If $sPassword == $pass Then Return 1
			Next
			TCPSend($Socket, "Inncorrect Password entered too many times.")
			TCPSend($Socket, Binary(0xF2))
			Return 0
		EndIf
	WEnd
EndFunc   ;==>_GetLogin

Func _Commands($Socket)
	TCPSend($Socket, @TAB & "Valid Commands are in the form of:" & @CRLF)
	TCPSend($Socket, @TAB & @TAB & "GET <TYPE> <COMMAND>" & @CRLF)
	TCPSend($Socket, @TAB & "For example, to get information about the drives on the computer you would enter:" & @CRLF)
	TCPSend($Socket, @TAB & @TAB & "GET HARDWARE DRIVES" & @CRLF & @CRLF)
	TCPSend($Socket, "CompInfo>")
EndFunc   ;==>_Commands

Func _TelnetRecv($Socket)
	Local $sRecv, $cRecv
	While 1
		$cRecv = TCPRecv($Socket, 1024);Should be more than enough
		If StringInStr($cRecv, @CRLF) Then ExitLoop
		$sRecv &= $cRecv
	WEnd
	Return $sRecv
EndFunc   ;==>_TelnetRecv

Func _CommandLoop($Socket)
	While 1
		$recv = _TelnetRecv($Socket)
		$split = StringSplit($recv, " ")
		If $split[0] = 3 Then
			_ExeCommand($Socket, $split[2], $split[3])
		ElseIf $split[0] = 2 Then
			If $split[2] = "HARDWARE" Then
				For $i = 1 To $HARDWARE_TYPES[0]
					TCPSend($Socket, @TAB & $HARDWARE_TYPES[$i] & @CRLF)
				Next
			ElseIf $split[2] = "SOFTWARE" Then
				For $i = 1 To $SOFTWARE_TYPES[0]
					TCPSend($Socket, @TAB & $SOFTWARE_TYPES[$i] & @CRLF)
				Next
			EndIf
			TCPSend($Socket, "CompInfo>")
		ElseIf $split[0] = 1 Then
			If $split[1] = "GET" Then
				For $i = 1 To $COMANDTYPES[0]
					TCPSend($Socket, @TAB & $COMANDTYPES[$i] & @CRLF)
				Next
				TCPSend($Socket, "CompInfo>")
			ElseIf ($split[1] = "?") Or ($split[1] = "Help") Then
				_Commands($Socket)
			Else
				_UnknownCommand($Socket)
			EndIf
		EndIf
	WEnd
EndFunc   ;==>_CommandLoop

Func _ExeCommand($Socket, $type, $name)
	If ($type = "Hardware") Or ($type = "Software") Then
		Switch $name
			Case "BootConfig"
				Dim $BootConfig
				_ComputerGetBootConfig($BootConfig)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $BootConfig[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetBootConfig" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $BootConfig[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot Directory: " & $BootConfig[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Configuration Path: " & $BootConfig[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Drive: " & $BootConfig[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $BootConfig[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Scratch Directory: " & $BootConfig[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Setting ID: " & $BootConfig[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Temp Directory: " & $BootConfig[$i][7])
				Next
				#EndRegion

				#Region -- Dependent Services
			Case "DependantService"
				Dim $DependantService

				_ComputerGetDependantServices($DependantService)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $DependantService[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetDependantServices" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Antecedent: " & $DependantService[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Dependent: " & $DependantService[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TypeOfDependency: " & $DependantService[$i][2])
				Next
				#EndRegion -- Dependent Services

				#Region -- Desktops
			Case "Desktops"
				Dim $Desktop

				_ComputerGetDesktops($Desktop)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Desktop[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetDesktops" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Desktop[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "BorderWidth: " & $Desktop[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CoolSwitch: " & $Desktop[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CursorBlinkRate: " & $Desktop[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Desktop[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DragFullWindows: " & $Desktop[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "GridGranularity: " & $Desktop[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "IconSpacing: " & $Desktop[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "IconTitleFaceName: " & $Desktop[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "IconTitleSize: " & $Desktop[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "IconTitleWrap: " & $Desktop[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Pattern: " & $Desktop[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ScreenSaverActive: " & $Desktop[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ScreenSaverExecutable: " & $Desktop[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ScreenSaverSecure: " & $Desktop[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ScreenSaverTimeout: " & $Desktop[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SettingID: " & $Desktop[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Wallpaper: " & $Desktop[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "WallpaperStretched: " & $Desktop[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "WallpaperTiled: " & $Desktop[$i][19])
				Next
				#EndRegion -- Desktops

				#Region -- EventLogs
			Case "EventLogs"
				Dim $EventLogs

				_ComputerGetEventLogs($EventLogs)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $EventLogs[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetEventLogs" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $EventLogs[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "AccessMask: " & $EventLogs[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Archive: " & $EventLogs[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Compressed: " & $EventLogs[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $EventLogs[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CompressionMethod: " & $EventLogs[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationClassName: " & $EventLogs[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationDate: " & $EventLogs[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CSCreationClassName: " & $EventLogs[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CSName: " & $EventLogs[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Drive: " & $EventLogs[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "EightDotThreeFileName: " & $EventLogs[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Encrypted: " & $EventLogs[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "EncryptionMethod: " & $EventLogs[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Extension: " & $EventLogs[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FileName: " & $EventLogs[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FileSize: " & $EventLogs[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FileType: " & $EventLogs[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FSCreationClassName: " & $EventLogs[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FSName: " & $EventLogs[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Hidden: " & $EventLogs[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "InstallDate: " & $EventLogs[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "InUseCount: " & $EventLogs[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LastAccessed: " & $EventLogs[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LastModified: " & $EventLogs[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LogfileName: " & $EventLogs[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $EventLogs[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MaxFileSize: " & $EventLogs[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "NumberOfRecords: " & $EventLogs[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OverwriteOutDated: " & $EventLogs[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OverWritePolicy: " & $EventLogs[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Path: " & $EventLogs[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Readable: " & $EventLogs[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Sources: " & $EventLogs[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $EventLogs[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System: " & $EventLogs[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $EventLogs[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Writeable: " & $EventLogs[$i][37])
				Next
				#EndRegion -- EventLogs

				#Region -- Extensions
			Case "Extensions"
				Dim $Extension

				_ComputerGetExtensions($Extension)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> Array contains no information.")
						Case 2
							TCPSend($Socket, @TAB & "Error> $colItems isnt an object.")
					EndSwitch
				EndIf

				For $i = 1 To $Extension[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetExtensions" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Extension[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Admin Password Status: " & $Extension[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Automatic Reset Boot Option: " & $Extension[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Automatic Reset Capability: " & $Extension[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Extension[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot Option On Limit: " & $Extension[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot Option On WatchDog: " & $Extension[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot ROM Supported: " & $Extension[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Bootup State: " & $Extension[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Chassis Bootup State: " & $Extension[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $Extension[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Time Zone: " & $Extension[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Daylight In Effect: " & $Extension[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Domain: " & $Extension[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Domain Role: " & $Extension[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Enable Daylight Savings Time: " & $Extension[$i][15])
				Next
				#EndRegion -- Extensions

				#Region -- Groups
			Case "Groups"
				Dim $Groups

				_ComputerGetGroups($Groups)

				For $i = 1 To $Groups[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetGroups" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Groups[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Domain: " & $Groups[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Groups[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Local Account: " & $Groups[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SID: " & $Groups[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SIDType: " & $Groups[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Groups[$i][6])
				Next
				#EndRegion -- Groups

				#Region -- Logged On Users
			Case "LoggedOnUsers"
				Dim $LoggedOnUser

				_ComputerGetLoggedOnUsers($LoggedOnUser)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $LoggedOnUser[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetLoggedOnUsers" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DomainName: " & $LoggedOnUser[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "UserName: " & $LoggedOnUser[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LogonID: " & $LoggedOnUser[$i][2])
				Next
				#EndRegion -- Logged On Users

				#Region -- Operating Systems
				;NOTE: OSs contains alot of information, and may require a different output format.
			Case "GetOSs"
				Dim $OSs

				_ComputerGetOSs($OSs)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $OSs[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetOSs" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $OSs[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot Device: " & $OSs[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Build Number: " & $OSs[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Build Type: " & $OSs[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $OSs[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Code Set: " & $OSs[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Country Code: " & $OSs[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $OSs[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CSCreation Class Name: " & $OSs[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CSD Version: " & $OSs[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CS Name: " & $OSs[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Time Zone: " & $OSs[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Data Execution Prevention_32BitApplications: " & $OSs[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Data Execution Prevention_Available: " & $OSs[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Data Execution Prevention_Drivers: " & $OSs[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Data Execution Prevention_SupportPolicy: " & $OSs[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Debug: " & $OSs[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Distributed: " & $OSs[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Encryption Level: " & $OSs[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Foreground Application Boost: " & $OSs[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Free Physical Memory: " & $OSs[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Free Space In Paging Files: " & $OSs[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Free Virtual Memory: " & $OSs[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Install Date: " & $OSs[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Large System Cache: " & $OSs[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Boot Up Time: " & $OSs[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Local Date Time: " & $OSs[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Locale: " & $OSs[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $OSs[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Number Of Processes: " & $OSs[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Process Memory Size: " & $OSs[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Licensed Users: " & $OSs[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Processes: " & $OSs[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Users: " & $OSs[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Organization: " & $OSs[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Language: " & $OSs[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Product Suite: " & $OSs[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Type: " & $OSs[$i][37] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Other Type Description: " & $OSs[$i][38] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Plus Product ID: " & $OSs[$i][39] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Plus Version Number: " & $OSs[$i][40] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Primary: " & $OSs[$i][41] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Product Type: " & $OSs[$i][42] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quantum Length: " & $OSs[$i][43] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quantum Type: " & $OSs[$i][44] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Registered User: " & $OSs[$i][45] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Serial Number: " & $OSs[$i][46] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Service Pack Major Version: " & $OSs[$i][47] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Service Pack Minor Version: " & $OSs[$i][48] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Size Stored In Paging Files: " & $OSs[$i][49] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $OSs[$i][50] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Suite Mask: " & $OSs[$i][51] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Device: " & $OSs[$i][52] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Directory: " & $OSs[$i][53] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Drive: " & $OSs[$i][54] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Total Swap Space Size: " & $OSs[$i][55] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Total Virtual Memory Size: " & $OSs[$i][56] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Total Visible Memory Size: " & $OSs[$i][57] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $OSs[$i][58] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Windows Directory: " & $OSs[$i][59])
				Next
				#EndRegion -- Operating Systems

				#Region -- Print Jobs
			Case "PrintJobs"
				Dim $PrintJob

				_ComputerGetPrintJobs($PrintJob)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $PrintJob[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetPrintJobs" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $PrintJob[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DataType: " & $PrintJob[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Document: " & $PrintJob[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DriverName: " & $PrintJob[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $PrintJob[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ElapsedTime: " & $PrintJob[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "HostPrintQueue: " & $PrintJob[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "JobId: " & $PrintJob[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "JobStatus: " & $PrintJob[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $PrintJob[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Notify: " & $PrintJob[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Owner: " & $PrintJob[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PagesPrinted: " & $PrintJob[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Parameters: " & $PrintJob[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PrintProcessor: " & $PrintJob[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Priority: " & $PrintJob[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Size: " & $PrintJob[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "StartTime: " & $PrintJob[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $PrintJob[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "StatusMask: " & $PrintJob[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TimeSubmitted: " & $PrintJob[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TotalPages: " & $PrintJob[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "UntilTime: " & $PrintJob[$i][22])
				Next
				#EndRegion -- Print Jobs

				#Region -- Processes
			Case "Processes"
				Dim $Processes

				_ComputerGetProcesses($Processes)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Processes[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetProcesses" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Processes[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Command Line: " & $Processes[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $Processes[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Date: " & $Processes[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Processes[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CS Creation Class Name: " & $Processes[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CS Name: " & $Processes[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Executable Path: " & $Processes[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Execution State: " & $Processes[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Handle: " & $Processes[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Handle Count: " & $Processes[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Kernel Mode Time: " & $Processes[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Maximum Working Set Size: " & $Processes[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Minimum Working Set Size: " & $Processes[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Creation Class Name: " & $Processes[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Name: " & $Processes[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Other Operation Count: " & $Processes[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Other Transfer Count: " & $Processes[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Page Faults: " & $Processes[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Page File Usage: " & $Processes[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Parent Process ID: " & $Processes[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Peak Page File Usage: " & $Processes[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Peak Virtual Size: " & $Processes[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Peak Working Set Size: " & $Processes[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Priority: " & $Processes[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Private Page Count: " & $Processes[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Process ID: " & $Processes[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quota Non Paged Pool Usage: " & $Processes[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quota Paged Pool Usage: " & $Processes[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quota Peak Non Paged Pool Usage: " & $Processes[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quota Peak Paged Pool Usage: " & $Processes[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Read Operation Count: " & $Processes[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Read Transfer Count: " & $Processes[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Session ID: " & $Processes[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Processes[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Thread Count: " & $Processes[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "User Mode Time: " & $Processes[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Virtual Size: " & $Processes[$i][37] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Windows Version: " & $Processes[$i][38] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Working Set Size: " & $Processes[$i][39] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Write Operation Count: " & $Processes[$i][40] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Write Transfer Count: " & $Processes[$i][41])
				Next
				#EndRegion -- Processes

				#Region -- Services
			Case "Services"
				Dim $Services

				_ComputerGetServices($Services, "Running")
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Services[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetServices" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Services[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Accept Pause: " & $Services[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Accept Stop: " & $Services[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Check Point: " & $Services[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Services[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Classname: " & $Services[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Desktop Interact: " & $Services[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Display Name: " & $Services[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Control: " & $Services[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Exit Code: " & $Services[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Path Name: " & $Services[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Process ID: " & $Services[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Service Specific Exit Code: " & $Services[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Service Type: " & $Services[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Started: " & $Services[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Start Mode: " & $Services[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Start Name: " & $Services[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "State: " & $Services[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Services[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Classname: " & $Services[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $Services[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Tag ID: " & $Services[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Wait Hint: " & $Services[$i][22])
				Next
				#EndRegion -- Services

				#Region -- Shares
			Case "Shares"
				Dim $Shares

				_ComputerGetShares($Shares)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Shares[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetShares" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Shares[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Access Mask: " & $Shares[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Allow Maximum: " & $Shares[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Maximum Allowed: " & $Shares[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Shares[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Path: " & $Shares[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Shares[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Type: " & $Shares[$i][7])
				Next
				#EndRegion -- Shares

				#Region -- Software
			Case "Software"
				Dim $Software

				_ComputerGetSoftware($Software)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> Array contains no data.")
					EndSwitch
				EndIf

				For $i = 1 To $Software[0][0] Step 1
					TCPSend($Socket, @TAB & "_ComputerGetSoftware" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Software[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $Software[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Publisher: " & $Software[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Uninstall Path: " & $Software[$i][3])
				Next
				#EndRegion -- Software

				#Region -- Startup
			Case "Startup"
				Dim $Startup

				_ComputerGetStartup($Startup)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Startup[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetStartup" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Startup[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "User: " & $Startup[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Location: " & $Startup[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Command: " & $Startup[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Startup[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SettingID: " & $Startup[$i][5])
				Next
				#EndRegion -- Startup
				#Region -- Threads
			Case "Threads"
				Dim $Threads

				_ComputerGetThreads($Threads)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Threads[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetThreads" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Threads[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $Threads[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CS Creation Class Name: " & $Threads[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CS Name: " & $Threads[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Threads[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Elapsed Time: " & $Threads[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Execution State: " & $Threads[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Handle: " & $Threads[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Kernel Mode Time: " & $Threads[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Creation Class Name: " & $Threads[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OS Name: " & $Threads[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Priority: " & $Threads[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Priority Base: " & $Threads[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Process Creation Class Name: " & $Threads[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Process Handle: " & $Threads[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Start Address: " & $Threads[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Threads[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Thread State: " & $Threads[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Thread Wait Reason: " & $Threads[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "User Mode Time: " & $Threads[$i][19])
				Next
				#EndRegion -- Threads

				#Region -- Users
			Case "Users"
				Dim $Users

				_ComputerGetUsers($Users)

				For $i = 1 To $Users[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetUsers" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Users[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Domain: " & $Users[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Users[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Local Account: " & $Users[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SID: " & $Users[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SIDType: " & $Users[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Users[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Full Name: " & $Users[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Disabled: " & $Users[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Lockout: " & $Users[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Password Changeable: " & $Users[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Password Expires: " & $Users[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Password Required: " & $Users[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Account Type: " & $Users[$i][13])
				Next
				#EndRegion -- Users
				#EndRegion

				#Region ---- Hardware Functions
				#Region -- Battery
			Case "Battery"
				Dim $Battery

				_ComputerGetBattery($Battery)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Battery[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetBattery" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Battery[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Battery[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "BatteryRechargeTime: " & $Battery[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "BatteryStatus: " & $Battery[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Battery[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Chemistry: " & $Battery[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerErrorCode: " & $Battery[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerUserConfig: " & $Battery[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationClassName: " & $Battery[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DesignCapacity: " & $Battery[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DesignVoltage: " & $Battery[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DeviceID: " & $Battery[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorCleared: " & $Battery[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorDescription: " & $Battery[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "EstimatedChargeRemaining: " & $Battery[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "EstimatedRunTime: " & $Battery[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ExpectedBatteryLife: " & $Battery[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ExpectedLife: " & $Battery[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FullChargeCapacity: " & $Battery[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LastErrorCode: " & $Battery[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MaxRechargeTime: " & $Battery[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNPDeviceID: " & $Battery[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementCapabilities: " & $Battery[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementSupported: " & $Battery[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SmartBatteryVersion: " & $Battery[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Battery[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "StatusInfo: " & $Battery[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemCreationClassName: " & $Battery[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemName: " & $Battery[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TimeOnBattery: " & $Battery[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TimeToFullCharge: " & $Battery[$i][30])
				Next
				#EndRegion -- Battery

				#Region -- BIOS
			Case "BIOS"
				Dim $BIOS

				_ComputerGetBIOS($BIOS)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $BIOS[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetBIOS" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $BIOS[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $BIOS[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "BIOS Characteristics: " & $BIOS[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "BIOS Version: " & $BIOS[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $BIOS[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Build Number: " & $BIOS[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Code Set: " & $BIOS[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Language: " & $BIOS[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Identification Code: " & $BIOS[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Installable Languages: " & $BIOS[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Language Edition: " & $BIOS[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "List of Languages: " & $BIOS[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $BIOS[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Other Target OS: " & $BIOS[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Primary BIOS: " & $BIOS[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Release Date: " & $BIOS[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Serial Number: " & $BIOS[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SM BIOS BIOS Version: " & $BIOS[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SM BIOS Major Version: " & $BIOS[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SM BIOS Minor Version: " & $BIOS[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SM BIOS Present: " & $BIOS[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Software Element ID: " & $BIOS[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Software Element State: " & $BIOS[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Target Operating System: " & $BIOS[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $BIOS[$i][24])
				Next
				#EndRegion -- BIOS

				#Region -- Drives
			Case "Drives"
				Dim $Drives

				_ComputerGetDrives($Drives) ;Defaults to "FIXED"
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> DriveGetDrive Error!")
						Case 2
							TCPSend($Socket, @TAB & "Error> DriveGetFileSystem Error!")
						Case 3
							TCPSend($Socket, @TAB & "Error> DriveGetLabel Error!")
						Case 4
							TCPSend($Socket, @TAB & "Error> DriveGetSerial Error!")
						Case 5
							TCPSend($Socket, @TAB & "Error> DriveSpaceFree Error!")
						Case 6
							TCPSend($Socket, @TAB & "Error> DriveSpaceTotal Error!")
					EndSwitch
				EndIf

				For $i = 1 To $Drives[0][0] Step 1
					TCPSend($Socket, @TAB & "Information for Drive: " & $Drives[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FileSystem: " & $Drives[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Label: " & $Drives[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Serial #: " & $Drives[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Free Space: " & Round($Drives[$i][4] / 1024, 2) & "GB" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Total Space: " & Round($Drives[$i][5] / 1024, 2) & "GB" & @CRLF & @CRLF)
				Next
				#EndRegion -- Drives

				#Region -- Keyboard
			Case "Keyboard"
				Dim $Keyboard

				_ComputerGetKeyboard($Keyboard)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Keyboard[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetKeyboard" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Keyboard[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Keyboard[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager Error Code: " & $Keyboard[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager User Config: " & $Keyboard[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Keyboard[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $Keyboard[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device ID: " & $Keyboard[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Cleared: " & $Keyboard[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Description: " & $Keyboard[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Is Locked: " & $Keyboard[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Error Code: " & $Keyboard[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Layout: " & $Keyboard[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number of Function Keys: " & $Keyboard[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Password: " & $Keyboard[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNP Device ID: " & $Keyboard[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $Keyboard[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $Keyboard[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Keyboard[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status Info: " & $Keyboard[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Class Name: " & $Keyboard[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $Keyboard[$i][20])
				Next
				#EndRegion -- Keyboard

				#Region -- Memory
			Case "Memory"
				Dim $Memory

				_ComputerGetMemory($Memory)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Memory[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetMemory" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Memory[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "BankLabel: " & $Memory[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Capacity: " & $Memory[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationClassName: " & $Memory[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Memory[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DataWidth: " & $Memory[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DeviceLocator: " & $Memory[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "FormFactor: " & $Memory[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "HotSwappable: " & $Memory[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "InterleaveDataDepth: " & $Memory[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "InterleavePosition: " & $Memory[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $Memory[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MemoryType: " & $Memory[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Model: " & $Memory[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OtherIdentifyingInfo: " & $Memory[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PartNumber: " & $Memory[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PositionInRow: " & $Memory[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PoweredOn: " & $Memory[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Removable: " & $Memory[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Replaceable: " & $Memory[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SerialNumber: " & $Memory[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SKU: " & $Memory[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Speed: " & $Memory[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Memory[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Tag: " & $Memory[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TotalWidth: " & $Memory[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "TypeDetail: " & $Memory[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $Memory[$i][27])
				Next
				#EndRegion -- Memory

				#Region -- Monitors
			Case "Monitors"
				Dim $Monitor

				_ComputerGetMonitors($Monitor)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Monitor[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetMonitors" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Monitor[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Monitor[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Bandwidth: " & $Monitor[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerErrorCode: " & $Monitor[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Monitor[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerUserConfig: " & $Monitor[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationClassName: " & $Monitor[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DeviceID: " & $Monitor[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DisplayType: " & $Monitor[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorCleared: " & $Monitor[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorDescription: " & $Monitor[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "IsLocked: " & $Monitor[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LastErrorCode: " & $Monitor[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MonitorManufacturer: " & $Monitor[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MonitorType: " & $Monitor[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PixelsPerXLogicalInch: " & $Monitor[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PixelsPerYLogicalInch: " & $Monitor[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNPDeviceID: " & $Monitor[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementCapabilities: " & $Monitor[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementSupported: " & $Monitor[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ScreenHeight: " & $Monitor[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ScreenWidth: " & $Monitor[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Monitor[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "StatusInfo: " & $Monitor[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemCreationClassName: " & $Monitor[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemName: " & $Monitor[$i][25])
				Next
				#EndRegion -- Monitors

				#Region -- Motherboard
			Case "Motherboard"
				Dim $Motherboard

				_ComputerGetMotherboard($Motherboard)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Motherboard[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetMotherboard" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Motherboard[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Motherboard[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerErrorCode: " & $Motherboard[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerUserConfig: " & $Motherboard[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Motherboard[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationClassName: " & $Motherboard[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DeviceID: " & $Motherboard[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorCleared: " & $Motherboard[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorDescription: " & $Motherboard[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LastErrorCode: " & $Motherboard[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNPDeviceID: " & $Motherboard[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementCapabilities: " & $Motherboard[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementSupported: " & $Motherboard[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PrimaryBusType: " & $Motherboard[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "RevisionNumber: " & $Motherboard[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SecondaryBusType: " & $Motherboard[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Motherboard[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "StatusInfo: " & $Motherboard[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemCreationClassName: " & $Motherboard[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemName: " & $Motherboard[$i][19])
				Next
				#EndRegion -- Motherboard

				#Region -- Mouse
			Case "Mouse"
				Dim $Mouse

				_ComputerGetMouse($Mouse)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Mouse[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetMouse" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Mouse[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Mouse[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager Error Code: " & $Mouse[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager User Config: " & $Mouse[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Mouse[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $Mouse[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device ID: " & $Mouse[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device Interface: " & $Mouse[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Double Speed Threshold: " & $Mouse[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Cleared: " & $Mouse[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Description: " & $Mouse[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Handedness: " & $Mouse[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Hardware Type: " & $Mouse[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Inf File Name: " & $Mouse[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Inf Section: " & $Mouse[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Is Locked: " & $Mouse[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Error Code: " & $Mouse[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $Mouse[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Buttons: " & $Mouse[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNP Device ID: " & $Mouse[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Pointing Type: " & $Mouse[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $Mouse[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $Mouse[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Quad Speed Threshold: " & $Mouse[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Resolution: " & $Mouse[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Sample Rate: " & $Mouse[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Mouse[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status Info: " & $Mouse[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Synch: " & $Mouse[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Class Name: " & $Mouse[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $Mouse[$i][30])
				Next
				#EndRegion -- Mouse

				#Region -- Network Cards
			Case "NetworkCards"
				Dim $NetworkCards

				_ComputerGetNetworkCards($NetworkCards)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $NetworkCards[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetNetworkCards" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $NetworkCards[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Adapter Type: " & $NetworkCards[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Adapter Type ID: " & $NetworkCards[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Auto Sense: " & $NetworkCards[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $NetworkCards[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $NetworkCards[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager Error Code: " & $NetworkCards[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager User Config: " & $NetworkCards[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $NetworkCards[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device ID: " & $NetworkCards[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Cleared: " & $NetworkCards[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Description: " & $NetworkCards[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Index: " & $NetworkCards[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Installed: " & $NetworkCards[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Error Code: " & $NetworkCards[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MAC Address: " & $NetworkCards[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $NetworkCards[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Number Controlled: " & $NetworkCards[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Speed: " & $NetworkCards[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Net Connection ID: " & $NetworkCards[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Net Connection Status: " & $NetworkCards[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Network Addresses: " & $NetworkCards[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Permanent Address: " & $NetworkCards[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNP Device ID: " & $NetworkCards[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $NetworkCards[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $NetworkCards[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Product Name: " & $NetworkCards[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Service Name: " & $NetworkCards[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Speed: " & $NetworkCards[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $NetworkCards[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status Info: " & $NetworkCards[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Class Name: " & $NetworkCards[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $NetworkCards[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Time Of Last Reset: " & $NetworkCards[$i][33])
				Next
				#EndRegion -- Network Cards

				#Region -- Printers
				;NOTE: Printers contains alot of information, and may require a different output format.
			Case "Printers"
				Dim $Print

				_ComputerGetPrinters($Print)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Print[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetPrinters" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Print[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Attributes: " & $Print[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Print[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "AvailableJobSheets: " & $Print[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Print[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "AveragePagesPerMinute: " & $Print[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Capabilities: " & $Print[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CapabilityDescriptions: " & $Print[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CharSetsSupported: " & $Print[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Comment: " & $Print[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerErrorCode: " & $Print[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ConfigManagerUserConfig: " & $Print[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CreationClassName: " & $Print[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CurrentCapabilities: " & $Print[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CurrentCharSet: " & $Print[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CurrentLanguage: " & $Print[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CurrentMimeType: " & $Print[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CurrentNaturalLanguage: " & $Print[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CurrentPaperType: " & $Print[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Default: " & $Print[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultCapabilities: " & $Print[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultCopies: " & $Print[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultLanguage: " & $Print[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultMimeType: " & $Print[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultNumberUp: " & $Print[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultPaperType: " & $Print[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DefaultPriority: " & $Print[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DetectedErrorState: " & $Print[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DeviceID: " & $Print[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Direct: " & $Print[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DoCompleteFirst: " & $Print[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DriverName: " & $Print[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "EnableBIDI: " & $Print[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "EnableDevQueryPrint: " & $Print[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorCleared: " & $Print[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorDescription: " & $Print[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ErrorInformation: " & $Print[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ExtendedDetectedErrorState: " & $Print[$i][37] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ExtendedPrinttatus: " & $Print[$i][38] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Hidden: " & $Print[$i][39] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "HorizontalResolution: " & $Print[$i][40] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "JobCountSinceLastReset: " & $Print[$i][42] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "KeepPrintedJobs: " & $Print[$i][43] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LanguagesSupported: " & $Print[$i][44] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "LastErrorCode: " & $Print[$i][45] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Local: " & $Print[$i][46] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Location: " & $Print[$i][47] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MarkingTechnology: " & $Print[$i][48] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MaxCopies: " & $Print[$i][49] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MaxNumberUp: " & $Print[$i][50] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MaxSizeSupported: " & $Print[$i][51] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MimeTypesSupported: " & $Print[$i][52] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "NaturalLanguagesSupported: " & $Print[$i][53] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Network: " & $Print[$i][54] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PaperSizesSupported: " & $Print[$i][55] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PaperTypesAvailable: " & $Print[$i][56] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Parameters: " & $Print[$i][57] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNPDeviceID: " & $Print[$i][58] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PortName: " & $Print[$i][59] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementCapabilities: " & $Print[$i][60] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PowerManagementSupported: " & $Print[$i][61] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PrinterPaperNames: " & $Print[$i][62] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Printtate: " & $Print[$i][63] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Printtatus: " & $Print[$i][64] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PrintJobDataType: " & $Print[$i][65] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PrintProcessor: " & $Print[$i][66] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Priority: " & $Print[$i][67] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Published: " & $Print[$i][68] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Queued: " & $Print[$i][69] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "RawOnly: " & $Print[$i][70] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SeparatorFile: " & $Print[$i][71] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ServerName: " & $Print[$i][72] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Shared: " & $Print[$i][73] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ShareName: " & $Print[$i][74] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SpoolEnabled: " & $Print[$i][75] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Print[$i][77] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "StatusInfo: " & $Print[$i][78] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemCreationClassName: " & $Print[$i][79] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SystemName: " & $Print[$i][80] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "VerticalResolution: " & $Print[$i][83] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "WorkOffline: " & $Print[$i][84])
				Next
				#EndRegion -- Printers

				#Region -- Processors
			Case "Processors"
				Dim $Processors

				_ComputerGetProcessors($Processors)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $Processors[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetProcessors" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $Processors[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Address Width: " & $Processors[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Architecture: " & $Processors[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $Processors[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $Processors[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager Error Code: " & $Processors[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager User Config: " & $Processors[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "CPU Status: " & $Processors[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $Processors[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Clock Speed: " & $Processors[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Voltage: " & $Processors[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Data Width: " & $Processors[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device ID: " & $Processors[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Cleared: " & $Processors[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Description: " & $Processors[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Ext Clock: " & $Processors[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Family: " & $Processors[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "L2 Cache Size: " & $Processors[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "L2 Cache Speed: " & $Processors[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Error Code: " & $Processors[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Level: " & $Processors[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Load Percentage: " & $Processors[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $Processors[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Clock Speed: " & $Processors[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Other Family Description: " & $Processors[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNP Device ID: " & $Processors[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $Processors[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $Processors[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Processor ID: " & $Processors[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Processor Type: " & $Processors[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Revision: " & $Processors[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Role: " & $Processors[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Socket Designation: " & $Processors[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $Processors[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status Info: " & $Processors[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Stepping: " & $Processors[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Class Name: " & $Processors[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $Processors[$i][37] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Unique ID: " & $Processors[$i][38] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Upgrade Method: " & $Processors[$i][39] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $Processors[$i][40] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Voltage Caps: " & $Processors[$i][41])
				Next
				#EndRegion -- Processors

				#Region -- Sound Cards
			Case "SoundCards"
				Dim $SoundCards

				_ComputerGetSoundCards($SoundCards)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $SoundCards[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetSoundCards" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $SoundCards[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $SoundCards[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager Error Code: " & $SoundCards[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager User Config: " & $SoundCards[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $SoundCards[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $SoundCards[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device ID: " & $SoundCards[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "DMA Buffer Size: " & $SoundCards[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Cleared: " & $SoundCards[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Description: " & $SoundCards[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Error Code: " & $SoundCards[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $SoundCards[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "MPU 401 Address: " & $SoundCards[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNP Device ID: " & $SoundCards[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $SoundCards[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $SoundCards[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Product Name: " & $SoundCards[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $SoundCards[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status Info: " & $SoundCards[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Class Name: " & $SoundCards[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $SoundCards[$i][20])
				Next
				#EndRegion -- Sound Cards

				#Region -- System
			Case "System"
				Dim $System

				_ComputerGetSystem($System)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> Array contains no information.")
						Case 2
							TCPSend($Socket, @TAB & "Error> $colItems isnt an object.")
					EndSwitch
				EndIf

				For $i = 1 To $System[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetSystem" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $System[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Admin Password Status: " & $System[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Automatic Reset Boot Option: " & $System[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Automatic Reset Capability: " & $System[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $System[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot Option On Limit: " & $System[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot Option On WatchDog: " & $System[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Boot ROM Supported: " & $System[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Bootup State: " & $System[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Chassis Bootup State: " & $System[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $System[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Time Zone: " & $System[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Daylight In Effect: " & $System[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Domain: " & $System[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Domain Role: " & $System[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Enable Daylight Savings Time: " & $System[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Front Panel Reset Status: " & $System[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Infrared Supported: " & $System[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Initial Load Info: " & $System[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Keyboard Password Status: " & $System[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Load Info: " & $System[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Manufacturer: " & $System[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Model: " & $System[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name Format: " & $System[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Network Server Mode Enabled: " & $System[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Processors: " & $System[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OEM Logo Bitmap: " & $System[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "OEM String Array: " & $System[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Part Of Domain: " & $System[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Pause After Reset: " & $System[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $System[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $System[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power On Password Status: " & $System[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power State: " & $System[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Supply State: " & $System[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Primary Owner Contact: " & $System[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Primary Owner Name: " & $System[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Reset Capability: " & $System[$i][37] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Reset Count: " & $System[$i][38] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Reset Limit: " & $System[$i][39] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Roles: " & $System[$i][40] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $System[$i][41] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Support Contact Description: " & $System[$i][42] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Startup Delay: " & $System[$i][43] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Startup Options: " & $System[$i][44] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Startup Setting: " & $System[$i][45] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Type: " & $System[$i][46] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Thermal State: " & $System[$i][47] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Total Physical Memory: " & $System[$i][48] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "User Name: " & $System[$i][49] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Wake Up Type: " & $System[$i][50] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Workgroup: " & $System[$i][51])
				Next
				#EndRegion -- System

				#Region -- System Product
				;NOTE: UUID will return 0000's if it is unable to create a UUID.
			Case "SystemProduct"
				Dim $SystemProduct

				_ComputerGetSystemProduct($SystemProduct)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $SystemProduct[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetSystemProduct" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $SystemProduct[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Identifying Number: " & $SystemProduct[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "SKU Number: " & $SystemProduct[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "UUID: " & $SystemProduct[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $SystemProduct[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Vendor: " & $SystemProduct[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Version: " & $SystemProduct[$i][6])
				Next
				#EndRegion -- System Product

				#Region -- Video Cards
			Case "VideoCards"
				Dim $VideoCards

				_ComputerGetVideoCards($VideoCards)
				If @error Then
					$error = @error
					$extended = @extended
					Switch $extended
						Case 1
							TCPSend($Socket, @TAB & "Error> " & $ERR_NO_INFO)
						Case 2
							TCPSend($Socket, @TAB & "Error> " & $ERR_NOT_OBJ)
					EndSwitch
				EndIf

				For $i = 1 To $VideoCards[0][0] Step 1
					TCPSend($Socket, @TAB & "Test _ComputerGetVideoCards" & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Name: " & $VideoCards[$i][0] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Accelerator Capabilities: " & $VideoCards[$i][1] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Adapter Compatibility: " & $VideoCards[$i][2] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Adapter DAC Type: " & $VideoCards[$i][3] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Description: " & $VideoCards[$i][4] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Adapter RAM: " & $VideoCards[$i][5] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Availability: " & $VideoCards[$i][6] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Capability Descriptions: " & $VideoCards[$i][7] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Color Table Entries: " & $VideoCards[$i][8] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager Error Code: " & $VideoCards[$i][9] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Config Manager User Config: " & $VideoCards[$i][10] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Creation Class Name: " & $VideoCards[$i][11] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Bits Per Pixel: " & $VideoCards[$i][12] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Horizontal Resolution: " & $VideoCards[$i][13] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Number Of Colors: " & $VideoCards[$i][14] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Number Of Columns: " & $VideoCards[$i][15] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Number Of Rows: " & $VideoCards[$i][16] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Refresh Rate: " & $VideoCards[$i][17] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Scan Mode: " & $VideoCards[$i][18] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Current Vertical Resolution: " & $VideoCards[$i][19] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device ID: " & $VideoCards[$i][20] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Device Specific Pens: " & $VideoCards[$i][21] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Dither Type: " & $VideoCards[$i][22] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Driver Date: " & $VideoCards[$i][23] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Driver Version: " & $VideoCards[$i][24] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Cleared: " & $VideoCards[$i][25] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Error Description: " & $VideoCards[$i][26] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ICM Intent: " & $VideoCards[$i][27] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "ICM Method: " & $VideoCards[$i][28] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Inf Filename: " & $VideoCards[$i][29] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Inf Section: " & $VideoCards[$i][30] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Installed Display Drivers: " & $VideoCards[$i][31] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Last Error Code: " & $VideoCards[$i][32] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Memory Supported: " & $VideoCards[$i][33] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Number Controlled: " & $VideoCards[$i][34] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Max Refresh Rate: " & $VideoCards[$i][35] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Min Refresh Rate: " & $VideoCards[$i][36] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Monochrome: " & $VideoCards[$i][37] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Color Planes: " & $VideoCards[$i][38] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Number Of Video Pages: " & $VideoCards[$i][39] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "PNP Device ID: " & $VideoCards[$i][40] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Capabilities: " & $VideoCards[$i][41] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Power Management Supported: " & $VideoCards[$i][42] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Protocol Supported: " & $VideoCards[$i][43] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Reserved System Palette Entries: " & $VideoCards[$i][44] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Specification Version: " & $VideoCards[$i][45] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status: " & $VideoCards[$i][46] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Status Info: " & $VideoCards[$i][47] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Creation Class Name: " & $VideoCards[$i][48] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Name: " & $VideoCards[$i][49] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "System Palette Entries: " & $VideoCards[$i][50] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Time Of Last Reset: " & $VideoCards[$i][51] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Video Architecture: " & $VideoCards[$i][52] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Video Memory Type: " & $VideoCards[$i][53] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Video Mode: " & $VideoCards[$i][54] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Video Mode Description: " & $VideoCards[$i][55] & @CRLF)
					TCPSend($Socket, @TAB & @TAB & "Video Processor: " & $VideoCards[$i][56])
				Next

		EndSwitch
	Else
		_Commands($Socket)
	EndIf
EndFunc   ;==>_ExeCommand

Func _UnknownCommand($Socket)
	TCPSend($Socket, @TAB & "Unknown Command." & @CRLF)
	TCPSend($Socket, @TAB & "For help enter ? or HELP." & @CRLF)
	TCPSend($Socket, "CompInfo>")
EndFunc   ;==>_UnknownCommand
